///////////////////////////////
//          *models          //
///////////////////////////////

//------Natter------

models\natter\noz001_n
{
	allowCompress
	surfaceparm nolightmap
	DeformVertexes autosprite2
	cull none
	nofog
	{
		animMap 8 models/natter/noz001_n.tga models/natter/noz002_n.tga models/natter/noz003_n.tga models/natter/noz004_n.tga models/natter/noz005_n.tga models/natter/noz006_n.tga models/natter/noz007_n.tga models/natter/noz008_n.tga
		blendfunc add
	}
}

models\natter\blueflare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    nofog
          {
            clampmap models/natter/blueflare.tga
            blendFunc GL_ONE GL_ONE
          }
}

models/natter/natterbo
{
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/natterbo.tga
	}
	{
		map models/natter/fakediffuse.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

models/natter/Rest
{
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/Rest.tga
	}
	{
		map models/natter/fakediffuse.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

models/natter/Flashen
{
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/flashen.tga
	}
	{
		map models/natter/fakediffuse.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

models/natter/graumet
{
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/graumet.tga
		rgbGen identity
	}
	{
		map textures/natter/tinfx_n1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
		rgbGen identity
	}
}

//------b25------

models\natter\bomber
{
	qer_editorimage models/natter/bomber.tga
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/bomber.tga
	}
}

models\natter\oliv
{
	qer_editorimage models/natter/oliv.tga
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/oliv.tga
	}
}

models\natter\gun
{
	qer_editorimage models/natter/gun.tga
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/gun.tga
	}
}

models\natter\kapsel
{
	qer_editorimage models/natter/kapsel.tga
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/kapsel.tga
	}
}



models\natter\prop
{
	qer_editorimage models/natter/prop.tga
	allowCompress
	surfaceparm nolightmap
	cull twosided
	sort 7
	{
		map models/natter/prop.tga
		tcMod rotate -1024
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

//------------


models\natter\flag1_escape_n
{
	surfaceparm nolightmap
	cull none
	{
		map models/natter/flag1_escape_n.tga
		rgbgen identity
	}
}

models/natter/truckside4g_n
{
	surfaceparm nolightmap

	{
		map models/natter/truckside4g_n.tga
		rgbgen vertex
	}
}

models/natter/truckside4f_n
{
	surfaceparm nolightmap

	{
		map models/natter/truckside4f_n.tga
		rgbgen vertex
	}
}

models/natter/train1_n
{
	surfaceparm nolightmap

	{
		map models/natter/train1_n.tga
		rgbgen vertex
	}
}

//-------------



models\natter\modelnebel
{
	allowCompress
	surfaceparm nolightmap
	deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_novertexshadows

	{
		map models/natter/modelnebel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod rotate -48
		alphaGen wave sin 0 1 0 .4

	}
}

models\natter\plane_flare_n
{
	surfaceparm nolightmap
	nofog
	allowCompress
	cull none

	{
		map models/natter/plane_flare_n.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

models\natter\bomb
{
	allowCompress
	surfaceparm nolightmap
	cull none

	{
		map models/natter/bomb.tga
		rgbGen lightingdiffuse
	}
}

models/natter/lampe
{
	allowCompress
	surfaceparm nolightmap
	{
	map models/natter/lampe.tga
	}
}

models/natter/leaf1_n
{
	allowCompress
	surfaceparm nolightmap
	cull none
	q3map_novertexshadows
	{
		map models/natter/leaf1_n.tga
		alphaFunc GE128
		depthWrite
	}
}

models/natter/leaf2_n
{
	allowCompress
	surfaceparm nolightmap
	cull none
	q3map_novertexshadows
	{
		map models/natter/leaf2_n.tga
		alphaFunc GE128
		depthWrite
	}
}

models/natter/leaf3_n
{
	allowCompress
	surfaceparm nolightmap
	cull none
	q3map_novertexshadows
	{
		map models/natter/leaf3_n.tga
		alphaFunc GE128
		depthWrite
	}
}

models/natter/ametal_m03_4env
{
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/ametal_m03_4env.tga
		rgbGen lightingdiffuse
	}
	{
		map textures/effects/vilfx2.tga
		blendFunc blend
		tcGen environment
	}
}

models/natter/para_n
{
	allowCompress
	surfaceparm nolightmap
	cull twosided
	{
		map models/natter/para_n.tga
		alphaFunc GE128
		depthWrite
	}
}

models/natter/shiny_metal_small
{
	allowCompress
	surfaceparm nolightmap
	{
		map models/natter/shiny_metal_small.tga
		rgbGen lightingdiffuse
	}
	{
		map textures/effects/vilfx2.tga
		blendFunc blend
		tcGen environment
	}
}

///////////////////////////////
//          *lights          //
///////////////////////////////

textures/natter/light_m11_red_n
{
    qer_editorimage textures/lights/light_m11.tga
    q3map_surfacelight 5000
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/lights/light_m11.tga
        rgbGen identity
    }
}

textures/natter/beam_dust
{
	qer_editorimage textures/sfx/beam_1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	nofog
	{
		map textures/sfx/beam_1.tga
		tcMod Scroll -.3 0
		blendFunc add
	}
}

textures/natter/beam_red
{
	qer_editorimage textures/natter/beam_red.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	nofog
	sort 7

	surfaceparm nomarks

	{
		map textures/natter/beam_red.tga
		blendFunc add
	}
}

textures/natter/rote_lampe
{
	surfaceparm nolightmap
	qer_editorimage textures/natter/rot.tga
	surfaceparm nomarks
	nofog
	{
		map textures/natter/rot.tga
		blendFunc add
	}
}

textures/natter/rote_lampe_aus
{
	surfaceparm nolightmap
	qer_editorimage textures/natter/rot.tga
	surfaceparm nomarks
	{
		map textures/natter/rot.tga
		blendFunc GL_src_alpha GL_ONE // gl_zero_minus_src_alpha invalid
		alphagen const .5
	}
}


textures/natter/rotes_licht_wand
{
	surfaceparm nolightmap
	qer_editorimage textures/natter/qer_rotes_licht_wand.tga
	polygonOffset
	entityMergable
	surfaceparm nomarks
	{
		map textures/natter/rotes_licht_wand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcMod rotate 200
		alphaGen vertex
	}
}

textures/natter/light_c01_2k_n
{
	q3map_lightimage textures/lights/light_c01.blend.tga
	qer_editorimage textures/lights/light_c01.tga
	q3map_surfacelight 2000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_c01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_c01.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/natter/light_c01_8k_n
{
	q3map_lightimage textures/lights/light_c01.blend.tga
	qer_editorimage textures/lights/light_c01.tga
	q3map_surfacelight 8000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_c01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_c01.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/natter/light_gitter
{
	q3map_lightimage textures/lights/light_xlight_01.tga
	qer_editorimage textures/lights/light_xlight_01.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_01.tga
		blendFunc add
	}
}

textures/natter/light_roehre
{
	q3map_lightimage textures/props/light.tga
	qer_editorimage textures/props/light.tga
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/props/light.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/props/light.tga
		blendFunc add
	}
}

///////////////////////////////
//          *sfx             //
///////////////////////////////

textures/natter/xflame2_nolight
{
	//----(SA) added "lick"
	deformVertexes wave 194 sin 0 2 0 .5
	deformVertexes wave 30 sin 0 1 0 .9
	deformVertexes wave 194 sin 0 1 0 .6
	//----(SA) end

	nofog	// fogs properly
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	qer_editorimage textures/sfx/flame1.tga

	{
		animMap 8 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}
	{
		animMap 8 textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
//		rgbGen identity
	}
}

textures/natter/funken_1
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -55.960537 38.969597 54.064186 sawtooth 0 1 0.024110 0.114911
{
clampmap textures/natter/funken.tga
tcMod rotate 11.401258
AlphaGen wave sawtooth 1.000000 -1.000000 0.024110 0.114911
rgbGen wave sawtooth 1.000000 0.000000 0.024110 0.114911
tcMod stretch sawtooth 0.050000 -0.049000 0.024110 0.114911
blendfunc blend
}
}

textures/natter/funken_2
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -46.206741 45.431377 58.635849 sawtooth 0 1 0.896786 0.114428
{
clampmap textures/natter/funken.tga
tcMod rotate 12.787225
AlphaGen wave sawtooth 1.000000 -1.000000 0.896786 0.114428
rgbGen wave sawtooth 1.000000 0.000000 0.896786 0.114428
tcMod stretch sawtooth 0.050000 -0.049000 0.896786 0.114428
blendfunc blend
}
}

textures/natter/funken_3
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -51.300770 2.015187 65.553490 sawtooth 0 1 0.875088 0.120098
{
clampmap textures/natter/funken.tga
tcMod rotate 12.288430
AlphaGen wave sawtooth 1.000000 -1.000000 0.875088 0.120098
rgbGen wave sawtooth 1.000000 0.000000 0.875088 0.120098
tcMod stretch sawtooth 0.050000 -0.049000 0.875088 0.120098
blendfunc blend
}
}

textures/natter/funken_4
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 8.210279 7.439548 74.718460 sawtooth 0 1 0.809870 0.132388
{
clampmap textures/natter/funken.tga
tcMod rotate 8.710624
AlphaGen wave sawtooth 1.000000 -1.000000 0.809870 0.132388
rgbGen wave sawtooth 1.000000 0.000000 0.809870 0.132388
tcMod stretch sawtooth 0.050000 -0.049000 0.809870 0.132388
blendfunc blend
}
}

textures/natter/funken_5
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 29.573826 45.705345 63.030586 sawtooth 0 1 0.432600 0.120069
{
clampmap textures/natter/funken.tga
tcMod rotate 10.855220
AlphaGen wave sawtooth 1.000000 -1.000000 0.432600 0.120069
rgbGen wave sawtooth 1.000000 0.000000 0.432600 0.120069
tcMod stretch sawtooth 0.050000 -0.049000 0.432600 0.120069
blendfunc blend
}
}

textures/natter/funken_6
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.344131 0.189062 75.086151 sawtooth 0 1 0.244606 0.133159
{
clampmap textures/natter/funken.tga
tcMod rotate 10.683279
AlphaGen wave sawtooth 1.000000 -1.000000 0.244606 0.133159
rgbGen wave sawtooth 1.000000 0.000000 0.244606 0.133159
tcMod stretch sawtooth 0.050000 -0.049000 0.244606 0.133159
blendfunc blend
}
}

textures/natter/funken_7
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 2.686716 -16.606018 68.288795 sawtooth 0 1 0.666829 0.142186
{
clampmap textures/natter/funken.tga
tcMod rotate 11.482741
AlphaGen wave sawtooth 1.000000 -1.000000 0.666829 0.142186
rgbGen wave sawtooth 1.000000 0.000000 0.666829 0.142186
tcMod stretch sawtooth 0.050000 -0.049000 0.666829 0.142186
blendfunc blend
}
}

textures/natter/funken_8
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -55.836468 16.010139 49.020153 sawtooth 0 1 0.791955 0.131567
{
clampmap textures/natter/funken.tga
tcMod rotate 11.974212
AlphaGen wave sawtooth 1.000000 -1.000000 0.791955 0.131567
rgbGen wave sawtooth 1.000000 0.000000 0.791955 0.131567
tcMod stretch sawtooth 0.050000 -0.049000 0.791955 0.131567
blendfunc blend
}
}

textures/natter/funken_9
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 41.891739 -24.027599 65.302505 sawtooth 0 1 0.161351 0.123123
{
clampmap textures/natter/funken.tga
tcMod rotate 10.959044
AlphaGen wave sawtooth 1.000000 -1.000000 0.161351 0.123123
rgbGen wave sawtooth 1.000000 0.000000 0.161351 0.123123
tcMod stretch sawtooth 0.050000 -0.049000 0.161351 0.123123
blendfunc blend
}
}

textures/natter/funken_10
{
qer_editorimage textures/natter/funken.jpg
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 66.518501 -44.878220 36.484425 sawtooth 0 1 0.250710 0.113447
{
clampmap textures/natter/funken.tga
tcMod rotate 9.163091
AlphaGen wave sawtooth 1.000000 -1.000000 0.250710 0.113447
rgbGen wave sawtooth 1.000000 0.000000 0.250710 0.113447
tcMod stretch sawtooth 0.050000 -0.049000 0.250710 0.113447
blendfunc blend
}
}

textures/natter/fan_n
{
		qer_editorimage textures/sfx/fan.tga
        surfaceparm trans
        surfaceparm nomarks
		cull none
        nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcMod rotate 256
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/natter/glass1
{
	surfaceparm nolightmap
	surfaceparm glass
	surfaceparm trans
	polygonOffset
	qer_editorimage textures/props/freeze_glass.tga
    {
		map textures/common/dirtymirror.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .2
		rgbGen identity
	}
	{
		map textures/natter/tinfx_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//tcMod scale .8 .8
		tcGen environment
		rgbGen identity
	}
}

textures/natter/mein_schwarz
{
	qer_editorimage textures/natter/meinschwarz.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/natter/meinschwarz.tga
		rgbGen identity
	}
}

textures/natter/mirror1
{
	qer_editorimage textures/natter/mirror1.tga
	surfaceparm nolightmap
	portal
	nofog
	{
		map textures/natter/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

textures/natter/mirror_fake
{
	qer_editorimage textures/common/dirtymirror.tga
	surfaceparm glass
	{
		map textures/natter/meinschwarz.tga
		rgbGen identity
	}
	{
		map textures/natter/tinfx_n.tga
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendFunc add
		tcMod scale .1 .1
		tcGen environment
		rgbGen identity
	}
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/natter/toilette
{
	qer_editorimage textures/natter/toilette.tga
	q3map_shadeangle 89
	{
		map textures/natter/toilette.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/natter/tinfx_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		tcGen environment
		rgbGen identity
	}
}

textures/natter/bubble
{
	qer_editorimage textures/natter/bubble_n.tga
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5

	{
		map textures/natter/bubble_n.tga
		blendFunc blend
		tcMod scroll .0 .75
		tcMod turb 1 0.05 0 1
	}
}

textures/natter/bubble1
{
	qer_editorimage textures/natter/bubble_n.tga
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5

	{
		map textures/natter/bubble_n.tga
		blendFunc blend
		tcMod scroll .0 1
		tcMod turb 1 0.03 0 .5
	}
}

textures/natter/kerze
{
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_lightimage textures/sfx/flame1.tga
	q3map_surfacelight 300
	qer_editorimage textures/sfx/c_flame1.tga

	{
		animMap 6 textures/sfx/c_flame1.tga textures/sfx/c_flame2.tga textures/sfx/c_flame3.tga textures/sfx/c_flame4.tga textures/sfx/c_flame5.tga textures/sfx/c_flame6.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 6
	}
	{
		animMap 6 textures/sfx/c_flame6.tga textures/sfx/c_flame1.tga textures/sfx/c_flame2.tga textures/sfx/c_flame3.tga textures/sfx/c_flame4.tga textures/sfx/c_flame5.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 6
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/natter/tropfen
{
	qer_editorimage textures/natter/tropfen.tga
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nomipmaps
	qer_trans 0.5

	{
		map textures/natter/tropfen.tga
		blendFunc blend
		tcMod scroll .0 -.6
	}
}

textures/natter/tropfenschnell
{
	qer_editorimage textures/natter/tropfen.tga
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nomipmaps
	qer_trans 0.5

	{
		map textures/natter/tropfen.tga
		blendFunc blend
		tcMod scroll .0 -.8
	}
}

textures/natter/tropfensehrschnell
{
	qer_editorimage textures/natter/tropfen.tga
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nomipmaps
	qer_trans 0.5

	{
		map textures/natter/tropfen.tga
		blendFunc blend
		tcMod scroll .0 -1
	}
}

textures/natter/xflame2_n_2250
{
	deformVertexes wave 194 sin 0 2 0 .5
	deformVertexes wave 30 sin 0 1 0 .9
	deformVertexes wave 194 sin 0 1 0 .6
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	q3map_lightimage textures/sfx/flame_COLOR.tga
	q3map_surfacelight 2250
	qer_editorimage textures/sfx/flame1.tga

	{
		animMap 8 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}
	{
		animMap 8 textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/natter/ventkap_shadow
{
	surfaceparm nolightmap
	qer_editorimage textures/natter/ventkap_shadow_qer.tga
	polygonOffset
	entityMergable
	surfaceparm nomarks
	{
		map textures/natter/ventkap_shadow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

///////////////////////////////
//          *alpha           //
///////////////////////////////

textures/natter/flags_m1_snow_n

{
//	surfaceparm nolightmap // added as test
//	surfaceparm trans // added as test
	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	qer_editorimage textures/natter/flags_m1_snow_n.tga
	{
		map textures/natter/flags_m1_snow_n.tga
		alphafunc ge128
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}

textures/natter/flag_l_m01nomove_n
{
	qer_editorimage textures/natter/flag_l_m01_n.tga

	// qer_trans 0.50
	cull twosided
	{
		map textures/natter/flag_l_m01_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}

textures/natter/chateau_c08_n
{
    surfaceparm nolightmap
	qer_editorimage textures/alpha/chateau_c08.tga
	surfaceparm alphashadow
    surfaceparm metalsteps
    nomipmaps
    nopicmip
    cull disable
    sort 8
    surfaceparm nomarks

    q3map_notjunc

    {
        map textures/alpha/chateau_c08.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/natter/gitter_c06_po
{
	surfaceparm nolightmap
	qer_editorimage textures/alpha/fence_c06.tga
	polygonOffset
    nomipmaps
    nopicmip
    cull disable
    surfaceparm nonsolid
    surfaceparm nomarks

    q3map_notjunc

    {
        map textures/alpha/fence_c06.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/natter/gitter_c06
{
	surfaceparm nolightmap
	qer_editorimage textures/alpha/fence_c06.tga
    cull twosided
	//surfaceparm alphashadow
	surfaceparm trans
	nomipmaps
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_notjunc

    {
        map textures/alpha/fence_c06.tga
    	alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
}

textures/natter/vent_gitter
{
	qer_editorimage textures/natter/e6xgratebasic_b.tga
	cull twosided
	surfaceparm alphashadow
	surfaceparm metalsteps
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_notjunc

	{
		map textures/natter/e6xgratebasic_b.tga
		alphaFunc GE128
        depthWrite
        rgbGen vertex
	}
}

textures/natter/flags_temp_n
{
	surfaceparm nolightmap
	qer_editorimage textures/natter/flags_temp_n.tga
	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 .3 0 .2
	cull twosided
	surfaceparm nomarks
	{
		map textures/natter/flags_temp_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/natter/flags_temptad_n
{
	surfaceparm nolightmap
	qer_editorimage textures/props/flags_temptad.tga
	surfaceparm alphashadow
	qer_trans 0.90
	deformVertexes wave 10 sin 0 .3 0 .2
	cull twosided
	surfaceparm nomarks
	{
		map textures/props/flags_temptad.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/natter/gitter
{
	surfaceparm nolightmap
	qer_editorimage textures/alpha/fence_c11.tga
	nomipmaps
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull disable
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_notjunc

	{
		map textures/alpha/fence_c11.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

///////////////////////////////
//          *fog             //
///////////////////////////////

textures/natter/fluss_nebel
{
	surfaceparm nolightmap
	qer_editorimage textures/sfx/fog.tga
	qer_trans 0.3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	q3map_globaltexture
	surfaceparm nomarks
	fogparms ( .074510 .082353 .117647 ) 256
	{
		map $whiteimage
		alphaFunc GT0
		alphaGen const 0
	}
}

textures/natter/nebel_hellfog
{
	surfaceparm nolightmap
	qer_editorimage textures/sfx/fog.tga
	qer_trans 0.3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nomarks
	fogparms ( .26 .26 .31 ) 384

}

textures/natter/nebel_schwarz
{
	surfaceparm nolightmap
	qer_editorimage textures/sfx/fog.tga
	qer_trans 0.3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nomarks
	fogparms ( .0 .0 .0 ) 256

}

///////////////////////////////
//         *decals           //
///////////////////////////////

textures/natter/luff
{
	qer_editorimage textures/decals/luff.tga
	polygonOffset
	entityMergable
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	{
		map textures/decals/luff.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}
}

textures/natter/feindhoertmit
{
	surfaceparm nolightmap
	polygonOffset
	entityMergable
	surfaceparm nomarks
	{
		map textures/natter/feindhoertmit.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/natter/fuse_box_n
{
	qer_editorimage textures/swf/fuse_box_ad.tga
	polygonOffset
	entityMergable
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/swf/fuse_box_ad.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/natter/water_stain_n
{
	//nofog
	polygonOffset
	entityMergable
	qer_editorimage textures/decals/water_stain.tga
	surfaceparm nolightmap
	q3map_notjunc
	surfaceparm nomarks
	{
		map textures/decals/water_stain.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

///////////////////////////////
//          *common          //
///////////////////////////////

textures/natter/mein_sunblocker
{
	qer_editorimage textures/lightblock/lightblock.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_notjunc
	{
		map $whiteimage
		alphaFunc GT0
		alphaGen const 0
	}
}



///////////////////////////////
//          *metal           //
///////////////////////////////

textures/natter/sign_natter01
{
	qer_editorimage textures/natter/sign_natter01.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/sign_natter01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/sign_natter02
{
	qer_editorimage textures/natter/sign_natter02.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/sign_natter02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/sign_radioroom
{
	qer_editorimage textures/natter/sign_radioroom.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/sign_radioroom.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/door_m01s_n
{
	qer_editorimage textures/natter/adoor_m01s_n_fx.tga
	surfaceparm metalsteps
	surfaceparm nolightmap
	{
		map textures/natter/tinfx_n1.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/natter/adoor_m01s_n_fx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/natter/mdoor_m06a_n
{
	qer_editorimage textures/natter/mdoor_m06a_n.tga
	surfaceparm metalsteps
	{
		map textures/natter/mdoor_m06a_n.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}

}

textures/natter/mdoor_m12_n
{
	qer_editorimage textures/natter/mdoor_m12_n_fx.tga
	surfaceparm metalsteps
	surfaceparm nolightmap
	{
		map textures/natter/tinfx_n1.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/natter/mdoor_m12_n_fx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/natter/ametal_m01sm_notjunc
{
	qer_editorimage textures/swf/ametal_m01sm.tga
	surfaceparm metalsteps
	q3map_notjunc
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/swf/ametal_m01sm.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/ametal_m04a_notjunc
{
	qer_editorimage textures/metal_misc/ametal_m04a.tga
	surfaceparm metalsteps
	q3map_notjunc
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/ametal_m04a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/xmetal_m02_n
{
	qer_editorimage textures/xlab_wall/xmetal_m02.tga
	surfaceparm metalsteps

	{
		map textures/xlab_wall/xmetal_m02.tga
		rgbGen identity
	}
	{

		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/natter/tinfx_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		tcGen environment
		rgbGen identity
	}
}

textures/natter/xmetal_m02a_n
{
	qer_editorimage textures/xlab_wall/xmetal_m02a.tga
	surfaceparm metalsteps
	{
		map textures/xlab_wall/xmetal_m02a.tga
		rgbGen identity
	}
	{

		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/natter/tinfx_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		tcGen environment
		rgbGen identity
	}
}

textures/natter/xmetal_m02a_trim_n
{
	qer_editorimage textures/xlab_wall/xmetal_m02a_trim.tga
	surfaceparm metalsteps
	{
		map textures/xlab_wall/xmetal_m02a_trim.tga
		rgbGen identity
	}
	{

		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/natter/tinfx_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		tcGen environment
		rgbGen identity
	}
}

textures/natter/metal_c07a_n
{
	qer_editorimage textures/assault/metal_c07a.tga
	surfaceparm metalsteps
	{
		map textures/assault/metal_c07a.tga
		rgbGen identity
	}
	{

		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/natter/tinfx_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		tcGen environment
		rgbGen identity
	}
}

textures/natter/ametal_m02_vertex
{
	qer_editorimage textures/metal_misc/ametal_m02.tga
	surfaceparm metalsteps
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/natter/ametal_m02_fx.tga
		rgbGen vertex
	}
	{
		map textures/natter/tinfx_n.tga
		tcGen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		rgbGen identity
	}
	{
		map textures/natter/ametal_m02_fx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/natter/ametal_m02_vertex_cull
{
	qer_editorimage textures/metal_misc/ametal_m02.tga
	surfaceparm metalsteps
	surfaceparm nolightmap
	cull disable
	{
		map textures/natter/ametal_m02_fx.tga
		rgbGen vertex
	}
	{
		map textures/natter/tinfx_n.tga
		tcGen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		rgbGen identity
	}
	{
		map textures/natter/ametal_m02_fx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/natter/ametal_m02_vertex_notjunc
{
	qer_editorimage textures/metal_misc/ametal_m02.tga
	surfaceparm metalsteps
	surfaceparm nolightmap
	q3map_notjunc
	{
		map textures/natter/ametal_m02_fx.tga
		rgbGen vertex
	}
	{
		map textures/natter/tinfx_n.tga
		tcGen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		rgbGen identity
	}
	{
		map textures/natter/ametal_m02_fx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/natter/metal_glow
{
	qer_editorimage textures/natter/metal_glow.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	{
		map $lightmap
		tcGen lightmap
	}
	{
		map textures/natter/metal_glow.tga
		blendfunc blend
	}
	{
		map textures/natter/metal_glow_fx.tga
		blendfunc add
		rgbGen wave triangle 0.5 1 0 0.3
	}
}

textures/natter/ametal_m08_sha
{
	qer_editorimage textures/swf/ametal_m08.tga

	q3map_nonplanar
	q3map_shadeangle 89
	surfaceparm metalsteps
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/swf/ametal_m08.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/ametal_m08_notjunc
{
	qer_editorimage textures/swf/ametal_m08.tga

	q3map_notjunc
	surfaceparm metalsteps
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/swf/ametal_m08.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/ametal_m08_vertex
{
	qer_editorimage textures/swf/ametal_m08.tga
	surfaceparm metalsteps
	{
		map textures/swf/ametal_m08.tga
		rgbGen vertex
	}
}

textures/natter/e8warning256
{
	qer_editorimage textures/natter/e8warning256.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/e8warning256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/ventgang_metal
{
	qer_editorimage textures/metal_misc/metal_m02ss.tga
	surfaceparm metalsteps
	surfaceparm nomarks

	{
		map textures/metal_misc/metal_m02ss.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/natter/tinfx_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale .3 .3
		tcGen environment
		rgbGen identity
	}
}

textures/natter/ventgang_metal_nix
{
	qer_editorimage textures/metal_misc/metal_m02ss.tga
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/metal_m02ss.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/metal_geruest
{
	qer_editorimage textures/metal_misc/ametal_m03a.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/ametal_m03a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/pipe_02_fix
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/pipe_02_fix.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/metal_turbine
{
	qer_editorimage textures/metal_misc/ametal_m03a.tga
	surfaceparm metalsteps
	surfaceparm nolightmap
	{
		map textures/metal_misc/ametal_m03a.tga
	}
}

textures/natter/metal1_schein
{
	qer_editorimage textures/natter/chrome.tga
	surfaceparm metalsteps
	{
		map textures/natter/chrome.tga
		tcMod scale 3 3
		tcGen environment
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/natter/metal2_schein
{
	qer_editorimage textures/natter/sf2_metal2.tga
	surfaceparm metalsteps
	{
		map textures/natter/sf2_metal2.tga
		rgbGen identity
	}
	{

		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/natter/tinfx_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
		rgbGen identity
	}

}

///////////////////////////////
//         *terrain          //
///////////////////////////////

textures/natter/mxterra2_base

{
	allowCompress
	qer_editorimage textures/common/terrain.tga
	q3map_texturesize 512 512
    q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

    q3map_forcesunlight
	q3map_globaltexture

	q3map_shadeangle 225
	q3map_nolightmap
	q3map_nonplanar
	q3map_onlyvertexlighting

    q3map_tcMod rotate 33

    //q3map_notjunc
	//q3map_noclip

	surfaceparm nomarks

}

textures/natter/mxterra2_0
{
	allowCompress
	qer_editorimage textures/natter/mxrock0b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps

	{
		map textures/natter/mxrock0b_n.tga
		rgbGen vertex
	}
}

textures/natter/mxterra2_1
{
	allowCompress
	qer_editorimage textures/natter/mxrock1b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps

	{
		map textures/natter/mxrock1b_n.tga
		rgbGen vertex
	}
}

textures/natter/mxterra2_2
{
	allowCompress
	qer_editorimage textures/natter/mxrock2b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps
	surfaceparm nomarks
	{
		map textures/natter/mxrock2b_n.tga
		rgbGen vertex
	}
}

textures/natter/mxterra2_3
{
	allowCompress
	qer_editorimage textures/natter/mxrock3g_n.tga
	q3map_baseshader textures/natter/mxterra2_base

	{
		map textures/natter/mxrock3g_n.tga
		rgbGen vertex
	}
}

textures/natter/mxterra2_4
{
	allowCompress
	qer_editorimage textures/natter/mxrock4b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps

	q3map_cloneshader textures/natter/grass
	{
		map textures/natter/mxrock0b_n.tga
		rgbGen vertex
	}
}

textures/natter/mxterra2_0to1
{
	allowCompress
	qer_editorimage textures/natter/mxrock1b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps

	{
		map textures/natter/mxrock0b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock1b_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
        alphaGen vertex
	}
}

textures/natter/mxterra2_0to2
{
	allowCompress
	qer_editorimage textures/natter/mxrock2b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps

	{
		map textures/natter/mxrock0b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock2b_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/natter/mxterra2_0to3
{
	allowCompress
	qer_editorimage textures/natter/mxrock3g_n.tga
	q3map_baseshader textures/natter/mxterra2_base

	{
		map textures/natter/mxrock0b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock3g_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/natter/mxterra2_0to4
{
	allowCompress
	qer_editorimage textures/natter/mxrock4b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps
	q3map_cloneshader textures/natter/grass

	{
		map textures/natter/mxrock0b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock0b_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}



textures/natter/mxterra2_1to2
{
	allowCompress
	qer_editorimage textures/natter/mxrock2b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps

	{
		map textures/natter/mxrock1b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock2b_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/natter/mxterra2_1to3
{
	allowCompress
	qer_editorimage textures/natter/mxrock3g_n.tga
	q3map_baseshader textures/natter/mxterra2_base

	{
		map textures/natter/mxrock1b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock3g_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/natter/mxterra2_1to4
{
	allowCompress
	qer_editorimage textures/natter/mxrock4b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps
	q3map_cloneshader textures/natter/grass

	{
		map textures/natter/mxrock1b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock0b_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}



textures/natter/mxterra2_2to3
{
	allowCompress
	qer_editorimage textures/natter/mxrock3g_n.tga
	q3map_baseshader textures/natter/mxterra2_base

	{
		map textures/natter/mxrock2b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock3g_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/natter/mxterra2_2to4
{
	allowCompress
	qer_editorimage textures/natter/mxrock4b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps
	q3map_cloneshader textures/natter/grass

	{
		map textures/natter/mxrock2b_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock0b_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}



textures/natter/mxterra2_3to4
{
	allowCompress
	qer_editorimage textures/natter/mxrock4b_n.tga
	q3map_baseshader textures/natter/mxterra2_base
	surfaceparm grasssteps
	q3map_cloneshader textures/natter/grass

	{
		map textures/natter/mxrock3g_n.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/natter/mxrock0b_n.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/natter/natterterrain
{
	qer_editorimage textures/common/terrain.tga
	q3map_terrain
	surfaceparm nodraw
	surfaceparm nolightmap

	q3map_notjunc
	q3map_noclip

	surfaceparm nomarks
}

textures/natter/grass
{
	allowCompress
	qer_editorimage textures/natter/grass.tga
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_fur 6 2 0.15
	//q3map_fur 8 1.25 0.1
	q3map_forcesunlight
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	nomipmaps
	sort 7
	surfaceparm nolightmap

	{
		map textures/natter/grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}



///////////////////////////////
//          *roof            //
///////////////////////////////

textures/natter/roof_c04_n
{
	surfaceparm roofsteps
	surfaceparm slick
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/roof_c04_n.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/roof_c06_n
{
	qer_editorimage textures/natter/roof_c06.tga
	surfaceparm roofsteps
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/roof_c06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

///////////////////////////////
//          *sand            //
///////////////////////////////

textures/natter/sandsack
{
	qer_editorimage textures/natter/sandsack.tga
	surfaceparm grasssteps
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/sandsack.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/sand_vertex
{
	qer_editorimage textures/stone/mxrock1aa.tga
	surfaceparm grasssteps
	surfaceparm nomarks
	{
		map textures/stone/mxrock1aa.tga
		rgbGen vertex
	}
}

textures/natter/sand_nosha
{
	qer_editorimage textures/stone/mxrock1aa.tga
	surfaceparm grasssteps
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock1aa.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/natter/sand_sha120
{
	qer_editorimage textures/stone/mxrock1aa.tga
	surfaceparm grasssteps
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock1aa.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

///////////////////////////////
//          *rock            //
///////////////////////////////

textures/natter/caverocks
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga

	q3map_nonplanar
	q3map_shadeangle 120

	q3map_notjunc
	q3map_noclip

	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain/cliff_m05Dcon.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/natter/caverocks_wall
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga

	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain/cliff_m05Dcon.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/natter/mauer
{
	qer_editorimage textures/tree/t_wall_06b.tga
	q3map_globaltexture
	q3map_novertexshadows
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tree/t_wall_06b.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/natter/debri_m01_n
{
	qer_editorimage textures/rubble/debri_m01.tga
    surfaceparm nolightmap
	q3map_notjunc
	{
		map textures/rubble/debri_m01.tga
		rgbGen vertex
	}
}

textures/natter/stein
{
	qer_editorimage textures/stone/mxrock1bds.tga
	q3map_globaltexture
	{
		map textures/stone/mxrock1bds.tga
		rgbGen identity
	}
}

textures/natter/stein_ohne_lm
{
	allowCompress
	qer_editorimage textures/natter/mxrock3g_n.tga
	surfaceparm nolightmap
	q3map_shadeangle 120
	{
		map textures/natter/mxrock3g_n.tga
		rgbGen vertex
	}
}

textures/natter/stein1
{
	qer_editorimage textures/stone/mxrock3_a.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_novertexshadows
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock3_a.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/natter/stein1_vertex
{
	qer_editorimage textures/stone/mxrock3_a.tga
	surfaceparm nolightmap
	q3map_shadeangle 255
	surfaceparm nomarks
	{
		map textures/stone/mxrock3_a.tga
		rgbGen vertex
	}
}

textures/natter/stein2
{
	qer_editorimage textures/stone/mxrock3g.tga
	q3map_nonplanar

	q3map_shadeangle 120
	q3map_novertexshadows

	q3map_notjunc
	q3map_noclip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock3g.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/natter/strasse
{
	qer_editorimage textures/natter/asphault1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/natter/asphault1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

///////////////////////////////
//          *water           //
///////////////////////////////

textures/natter/abwasser
{
	allowCompress
	qer_editorimage textures/natter/abwasser_schaum.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	sort 8
	{
		map textures/natter/abwasser.tga
		blendFunc blend
	}
	{
		map textures/liquids/water_m6.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .6
		tcMod scroll 0 -0.075
	}
	{
		map textures/natter/abwasser_schaum.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0 -0.1
		tcMod turb 0 0.04 0 0.1
		tcMod stretch sin 1 0.0001 0 0.1
	}
}

textures/natter/wasser_hoehle
{
	allowCompress
	qer_editorimage textures/liquids/pool3d_3.tga
	//qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	nofog
	cull back
	surfaceparm nomarks

	{
		map textures/liquids/pool3d_5c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .125 .25
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/natter/wasser_hoehle1
{
	allowCompress
	qer_editorimage textures/liquids/pool3d_3.tga
	//qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	nofog
	surfaceparm nomarks

	{
		map textures/liquids/pool3d_5c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .125 .25
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/natter/wasser_ohnenix
{
	allowCompress
	qer_editorimage textures/liquids/pool3d_3.tga
	//qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	nofog
	surfaceparm nomarks
	{
		map textures/natter/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/natter/wasser_reflektion
{
	allowCompress
	qer_editorimage textures/natter/mirror1.tga
	surfaceparm trans
	nofog
	surfaceparm nomarks
	//portal

	{
		map textures/natter/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/liquids/pool3d_5c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .125 .25
		tcmod scroll .001 .025
	}
	{
		map textures/natter/wasser_env.tga
		blendFunc blend
		tcmod scale .5 .5
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/natter/wasser_wellen
{
	allowCompress
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	entityMergable
	qer_editorimage textures/natter/welle.tga
	surfaceparm nomarks

	{
		clampmap sprites/splashalpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod stretch Sawtooth .2 1 0 .2
		alphaGen wave Inversesawtooth 0 1 0 .2
	}
}

textures/natter/wasser_wellenschnell
{
	allowCompress
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	entityMergable
	qer_editorimage textures/natter/welle.tga
	surfaceparm nomarks
	{
		clampmap sprites/splashalpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod stretch Sawtooth .2 1 0 .3
		alphaGen wave Inversesawtooth 0 1 0 .3
	}
}

textures/natter/fluss2
{
	allowCompress
	qer_editorimage  textures/natter/fluss_seq.tga
	//qer_trans .5
	q3map_globaltexture
	deformVertexes wave 128 sin 0 1 0 .3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull disable
	sort 8
	surfaceparm nomarks
	{
		map textures/natter/water_fluss.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    	rgbgen identity
        tcmod scale .5 .5
		tcmod scroll -.24 .00
		tcmod turb .01 .05 0 .125
	}

	{
		animMap 6 textures/natter/fluss_seq.tga textures/natter/fluss_seq1.tga textures/natter/fluss_seq2.tga textures/natter/fluss_seq3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll -.07 .00
		tcmod turb .01 .035 0 .25
		tcmod stretch sin 1 .005 0 .06
		tcmod scroll -.05 .00
	}
	{
		animMap 8 textures/natter/fluss_seq.tga textures/natter/fluss_seq1.tga textures/natter/fluss_seq2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll -.03 .00
		tcmod scale .5 1
		tcmod turb .01 .025 0 .3
		tcmod scroll -.05 .00
	}
}

textures/natter/fluss_wasserfall
{
	allowCompress
	qer_editorimage textures/natter/fluss_seq.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull disable
	sort 8
	deformVertexes wave 4 sin 0 1 0 .2

	{
		animMap 6 textures/natter/fluss_seq.tga textures/natter/fluss_seq1.tga textures/natter/fluss_seq2.tga textures/natter/fluss_seq3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

		tcmod scroll -.16 -.02
		tcmod turb .01 .035 0 .25
		tcmod stretch sin 1 .005 0 .06
		tcmod scroll -.05 .00
	}
	{
		animMap 8 textures/natter/fluss_seq.tga textures/natter/fluss_seq1.tga textures/natter/fluss_seq2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

		tcmod scroll -.03 .00
		tcmod scale .5 1
		tcmod turb .01 .025 0 .3
		tcmod scroll -.16 -.02
	}
}

textures/natter/fluss_wasserfall_ende
{
	allowCompress
	qer_editorimage textures/natter/wasserfall_ende_qer.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull disable
	sort 9

	{
		clampmap textures/natter/wasserfall_ende.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod stretch sin 1 .05 0 .25 .48
		tcmod turb .01 .1 0 .12
	}
}

///////////////////////////////
//          *sky             //
///////////////////////////////

textures/natter/foghullsky
{
	allowCompress
	q3map_backsplash 0 0
	q3map_notjunc

	surfaceparm nodlight
	qer_editorimage textures/skies/sky_m01dmcmp.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nomarks

	q3map_lightsubdivide 1024
	q3map_sun	0.274632 0.274632 0.358662 25 325 35
	q3map_surfacelight 100

	skyparms - 200 -

	fogvars ( .26 .26 .31 ) 3100

}

textures/natter/foghullsky_block
{
	allowCompress
	q3map_backsplash 0 0
	q3map_notjunc

	surfaceparm nodlight
	qer_editorimage textures/skies/sky_m01dmcmp.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nomarks

	skyparms - 200 -

}

//---------------------------------------------------------------------------------

textures/natter/cathedrale_c07_vertex
{
	qer_editorimage textures/cathedrale_wall/cathedrale_c07.tga
	surfaceparm nolightmap
	{
		map textures/cathedrale_wall/cathedrale_c07.tga
		rgbGen vertex
	}
}